using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ArtikelUpdateOpencart.Import.Models
{

    // HINWEIS: Für den generierten Code ist möglicherweise mindestens .NET Framework 4.5 oder .NET Core/Standard 2.0 erforderlich.
    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(ElementName = "PRODUCTS", Namespace = "", IsNullable = false)]
    public partial class AisciFeed
    {

        private uint kundennummerField;

        private string firmaField;

        private AisciArtikel[] pRODUCTField;

        /// <remarks/>
        public uint Kundennummer
        {
            get
            {
                return this.kundennummerField;
            }
            set
            {
                this.kundennummerField = value;
            }
        }

        /// <remarks/>
        public string Firma
        {
            get
            {
                return this.firmaField;
            }
            set
            {
                this.firmaField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("PRODUCT")]
        public AisciArtikel[] PRODUCT
        {
            get
            {
                return this.pRODUCTField;
            }
            set
            {
                this.pRODUCTField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRoot(ElementName = "PRODUCTSPRODUCT")]
    public partial class AisciArtikel
    {

        private string artNrField;

        private string herstellerArtikelNrField;

        private string modellField;

        private string beschreibung1Field;

        private string beschreibung2Field;

        private string herstellerField;

        private string markeField;

        private decimal unverbPreisempfField;

        private decimal ihr_EinkaufspreisField;

        private string artikeltypField;

        private string kategorie1Field;

        private string kategorie2Field;

        private string uRLDatenblattField;

        private string uRLGrafikField;

        private string obsoletField;

        private string abgekündigtzumField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Art.-Nr.")]
        public string ArtNr
        {
            get
            {
                return this.artNrField;
            }
            set
            {
                this.artNrField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Hersteller-Artikel-Nr")]
        public string HerstellerArtikelNr
        {
            get
            {
                return this.herstellerArtikelNrField;
            }
            set
            {
                this.herstellerArtikelNrField = value;
            }
        }

        /// <remarks/>
        public string Modell
        {
            get
            {
                return this.modellField;
            }
            set
            {
                this.modellField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Beschreibung-1")]
        public string Beschreibung1
        {
            get
            {
                return this.beschreibung1Field;
            }
            set
            {
                this.beschreibung1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Beschreibung-2")]
        public string Beschreibung2
        {
            get
            {
                return this.beschreibung2Field;
            }
            set
            {
                this.beschreibung2Field = value;
            }
        }

        /// <remarks/>
        public string Hersteller
        {
            get
            {
                return this.herstellerField;
            }
            set
            {
                this.herstellerField = value;
            }
        }

        /// <remarks/>
        public string Marke
        {
            get
            {
                return this.markeField;
            }
            set
            {
                this.markeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Unverb.Preisempf.")]
        public decimal UnverbPreisempf
        {
            get
            {
                return this.unverbPreisempfField;
            }
            set
            {
                this.unverbPreisempfField = value;
            }
        }

        /// <remarks/>
        public decimal Ihr_Einkaufspreis
        {
            get
            {
                return this.ihr_EinkaufspreisField;
            }
            set
            {
                this.ihr_EinkaufspreisField = value;
            }
        }

        /// <remarks/>
        public string Artikeltyp
        {
            get
            {
                return this.artikeltypField;
            }
            set
            {
                this.artikeltypField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Kategorie-1")]
        public string Kategorie1
        {
            get
            {
                return this.kategorie1Field;
            }
            set
            {
                this.kategorie1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Kategorie-2")]
        public string Kategorie2
        {
            get
            {
                return this.kategorie2Field;
            }
            set
            {
                this.kategorie2Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("URL-Datenblatt")]
        public string URLDatenblatt
        {
            get
            {
                return this.uRLDatenblattField;
            }
            set
            {
                this.uRLDatenblattField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("URL-Grafik")]
        public string URLGrafik
        {
            get
            {
                return this.uRLGrafikField;
            }
            set
            {
                this.uRLGrafikField = value;
            }
        }

        /// <remarks/>
        public string Obsolet
        {
            get
            {
                return this.obsoletField;
            }
            set
            {
                this.obsoletField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Abgekündigt-zum")]
        public string Abgekündigtzum
        {
            get
            {
                return this.abgekündigtzumField;
            }
            set
            {
                this.abgekündigtzumField = value;
            }
        }
    }


  
}
